/**
 * blear.classes.qrcode
 * @author ydr.me
 * @create 2016年06月04日14:09:36
 * @update 2017年07月21日15:21:55
 */


'use strict';


var Class = require('blear.classes.class');

var QRCode3rd = require('./_qrcode');

var defaults = {};
var QRCode = Class.ify(QRCode3rd).extend({
    constructor: function (text, correctLevel) {
        QRCode.parent(this, text, correctLevel || 3);
    },

    /**
     * 返回二维码的模块数量
     * @returns {Number}
     */
    getModuleCount: function () {
        return QRCode.invoke('getModuleCount', this);
    },

    /**
     * 判断当前模块是否为深色
     * @param row {Number} 行
     * @param col {Number} 列
     * @returns {Boolean}
     */
    isDark: function (row, col) {
        return QRCode.invoke('isDark', this, row, col);
    }
});

QRCode.defaults = defaults;
module.exports = QRCode;
